# collada.scene.ExtraNode

class collada.scene.ExtraNode(xmlnode)

  Represents extra information in a scene, as defined in a collada <extra> tag.

  __init__(xmlnode)

    Create an extra node which stores arbitrary xml

    Parameters

      xmlnode – Should be an ElementTree instance of tag type <extra>

  Methods

  `__init__`(xmlnode) | Create an extra node which stores arbitrary xml
  `load`(collada, node) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Iterate through all objects under this node that match tipo.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  Attributes

  `xmlnode` | ElementTree representation of the extra node.